<?
if (!defined("_GNUBOARD_")) exit; // 禁止单独访问此页面 

//  norobot.inc.php 设定

// 防止发帖机器人
if ($config[cf_use_norobot]) {
    /*
    // 检查URL
    $parse = parse_url($_SERVER[HTTP_REFERER]);
    // 3.35
    // 判断是否存在端口 (mumu提供)
    $parse2 = explode(":", $_SERVER[HTTP_HOST]);
    if ($parse[host] != $parse2[0]) {
    //if ($parse[host] != $_SERVER[HTTP_HOST]) {
        alert("访问出错！请刷新或稍后再试！", "./");
    }
    */

    $key = $_SESSION[ss_norobot_key];
    if (($w=='' || $w=='c') && !$member[mb_id]) {
        if ($key) {
            if ($key != $_POST[wr_key]) {
                alert("访问出错！请刷新或稍后再试！");
            }
        } else {
            alert("访问出错！请刷新或稍后再试！");
        }
    }
}
?>
